﻿using Microsoft.Extensions.Primitives;

namespace ApiCore.Web.Models
{
    public class AppSettings
    {
        public static AppSettings Instance { get; set; } = null;
        public IConfiguration ConfigurationFile { get; set; }
        public string GoogleMapsApiKey => AppSettings.Instance["GoogleMapsApiKey"];
        public string IpGeoLocationApiKey => AppSettings.Instance["IpGeoLocationApiKey"];

        public AppSettings(IConfiguration confFile)
        {
            this.ConfigurationFile = confFile;
        }

        public string this[string key]
        {
            get => AppSettings.Instance.ConfigurationFile.GetSection("AppSettings")[key]!;
        }
    }
}
